import { ILibsUiConfigButtonStatus, ILibsUiConfigButtonTab, ILibsUiConfigFontFamily, ILibsUiConfigFontHeading } from "./config-project.interface";
import * as i0 from "@angular/core";
export declare class LibsUiConfigProjectService {
    private readonly themeColor;
    private readonly borderColor;
    private readonly textErrorColor;
    private readonly iconHoverDangerColor;
    private readonly borderErrorColor;
    private readonly backgroundDisableColor;
    private readonly textReadonlyColor;
    private readonly textDisableColor;
    private readonly backgroundReadonlyColor;
    private readonly backgroundUserSelection;
    private readonly backgroundList;
    private readonly backgroundListHover;
    private readonly backgroundListHoverDanger;
    private readonly configFont;
    private readonly configHead;
    private readonly configButton;
    private readonly configButtonSize;
    private readonly configButtonStatus;
    private readonly configButtonTab;
    private readonly styleClassGlobalEl;
    private readonly styleClassHeadEl;
    private readonly styleClassButtonTabEl;
    constructor();
    set ThemeColor(color: string);
    set BorderColor(color: string);
    set BorderErrorColor(color: string);
    set TextErrorColor(color: string);
    set IconHoverDangerColor(color: string);
    set BackgroundReadonlyColor(color: string);
    set TextReadonlyColor(color: string);
    set BackgroundUserSelection(color: string);
    set BackgroundList(color: string);
    set BackgroundListHover(color: string);
    set BackgroundListHoverDanger(color: string);
    set BackgroundDisableColor(color: string);
    set TextDisableColor(color: string);
    set ConfigFont(configFont: ILibsUiConfigFontFamily);
    set ConfigFontHead(configHead: ILibsUiConfigFontHeading);
    get ConfigButton(): import("@angular/core").Signal<{
        "button-link-primary": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-link-third": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-link-danger-high": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-link-danger-low": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-link-green": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-link-violet": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
            };
            rootColor: string;
        };
        "button-primary": {
            configStepColor: {
                text: string;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-primary-revert": {
            configStepColor: {
                text: number;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: string;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-secondary": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-third": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: string;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: string;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-secondary-red": {
            configStepColor: {
                text: number;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-outline": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: string;
                background_hover: string;
                background_active: string;
                background_disable: string;
                border: string;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-danger-high": {
            configStepColor: {
                text: string;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-danger-low": {
            configStepColor: {
                text: string;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-green": {
            configStepColor: {
                text: string;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-violet": {
            configStepColor: {
                text: string;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-outline-green": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: string;
                background_hover: string;
                background_active: string;
                background_disable: string;
                border: string;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-secondary-green": {
            configStepColor: {
                text: number;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-outline-secondary": {
            configStepColor: {
                text: number;
                text_hover: string;
                text_active: string;
                text_disable: string;
                background: number;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: number;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-outline-hover-danger": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: string;
                background_hover: string;
                background_active: string;
                background_disable: string;
                border: string;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
        "button-third-hover-danger": {
            configStepColor: {
                text: string;
                text_hover: number;
                text_active: number;
                text_disable: string;
                background: string;
                background_hover: number;
                background_active: number;
                background_disable: string;
                border: string;
                border_hover: number;
                border_active: number;
                border_disable: string;
            };
            rootColor: string;
        };
    }>;
    get ConfigButtonStatus(): ILibsUiConfigButtonStatus;
    set ConfigButtonStatus(config: ILibsUiConfigButtonStatus);
    set ConfigButtonTab(config: ILibsUiConfigButtonTab);
    setupFontFamily(currentDoc?: Document): void;
    private setupFontHead;
    private setupButtonSize;
    private setupButtonTab;
    private setThemeColor;
    colorStepContrastFromOrigin(step: number, color?: string): import("@libs-ui/utils").IColorContrastFromOrigin | undefined;
    private setClassGlobal;
    private configString;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibsUiConfigProjectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LibsUiConfigProjectService>;
}
